BLUEBOX OEM UHF 1W QUAD CHANNEL version 2.62 Release Notes
Copyright (C) 2019-2020 Kronotech Srl

This release contains the following components:

* BB_OEM_UHF 2.62Q.bin
* ReleaseNotes.txt (this file)

Release Date
------------

	BLUEBOX OEM UHF 1W QUAD CHANNEL version 2.62 - 20/11/20.
	
Warning
-------

	Upgrade to x.23 sets the EPC C1G2 #2 configuration (page 0x82) to default
	settings.

Revision History
----------------

	Version 2.62 - 20/11/20
	
		New features / Enhancements
		---------------------------
		Improvements in the RS485 external transceiver support.
	
		Corrections
		-----------
		Fixed bug in dynamic power configuration parameters write.	

	Version 2.61 - 29/04/20
	
		New features / Enhancements
		---------------------------
		Added the STX + dual char string format setup selection (STX + dual 
		char string, STX + dual char string + CR, STX + dual char string + CRLF) 
		in spontaneous message configuration parameters.
		
		Added the STX + ASCII format setup selection (STX + ASCII string, 
		STX + ASCII string + CR, STX + ASCII string + CRLF) in spontaneous 
		message configuration parameters.
		
		Added the message encoding selection (Standard, Decimal) in spontaneous
		message configuration parameters.

	Version 2.60 - 14/02/20
		
		Corrections
		-----------
		Fixed normal operations task suspension during firmware upgrade procedure.

	Version 2.55 - 05/09/19
		
		Corrections
		-----------
		Fixed the time step default value (must be 1 second) in dynamic power 
		management configuration parameters.
		
		Fixed the spontaneous message on serial interface management error
		introduced with previous firmware version.

	Version 2.54 - 06/08/19
	
		New features / Enhancements
		---------------------------
		Added commands to read and write configuration parameters in RAM or	ROM.
		
		Added the custom RF region setting for test purposes.
		
		Corrections
		-----------
		Fixed the RF tuning network initialization and management.
		
		Decrease the RF input sensitivity during RF tuning.
		
		Fixed the tag read count info overflow condition.
		
		Fixed the RF region change in RF configuration parameters. Do not allow
		to set wrong RF regions except of the custom RF region for test purposes.

	Version 2.52 - 16/05/19
	
		New features / Enhancements
		---------------------------
		Added the spontaneous message for every identified tag slow/fast mode 
		selection in spontaneous message configuration parameters.

	Version 2.49 - 25/02/19
	
		Corrections
		-----------
		Fixed 1st/last RSSI info management.
		
		Fixed max RSSI info management.
		
		Fixed antenna info management.
		
		Fixed tag read count info management.

	Version 2.48 - 05/02/19
	
		Corrections
		-----------
		Fixed bug in data request with antenna info deactivated (multiple tags
		with same code in reply).

	Version 2.47 - 30/01/19
	
		New features / Enhancements
		---------------------------
		Added Brazil RF region support.
		
		Corrections
		-----------
		Fixed the RF region change (and RF channel change in case of RF region
		change) behavior (it becomes effective only after a reset of the device).
		
	Version 2.46 - 11/01/19
	
		New features / Enhancements
		---------------------------
		Fixed bug in the max RSSI info in buffer data request update management.

	Version 2.45 - 10/01/19
	
		New features / Enhancements
		---------------------------
		Added the max RSSI info in buffer data request. It must be activated 
		through the get max RSSI info activation flag in RF configuration.
	
		Corrections
		-----------
		Fixed the output 1 continuous auto activation with tag presence behavior.
		
		New company name and copyright info.

	Version 2.44 - 14/12/18
	
		New features / Enhancements
		---------------------------
		Added the sleep mode management to reduce the power consumption when 
		the device is not used.
		
		Corrections
		-----------
		Fixed reply to inventory ISO 18000-6C tags in case of no tag present.
		
		Fixed RF section standby and power down management to reduce power
		consumption.
		
		Reduced the device reboot time.
		
		Reduced the device firmware upgrade start time.

	Version 2.42 - 09/11/18
	
		New features / Enhancements
		---------------------------
		Added the ASCII format setup selection (ASCII string, ASCII string
		+ CR, ASCII string + CRLF) in spontaneous message configuration
		parameters.

	Version 2.41 - 22/10/18
	
		Corrections
		-----------
		Fixed bug in serial communication.

	Version 2.40 - 19/10/18
	
		New features / Enhancements
		---------------------------
		Added the tag read count info in buffer data. It must be activated 
		through the get tag read count info activation flag in RF configuration.
		
		Corrections
		-----------
		Fixed bug in device address management in the BLUEBOX protocol command.

	Version 2.39 - 16/10/18
	
		New features / Enhancements
		---------------------------
		Added the spontaneous message format setup (BlueBox protocol rules, 
		dual char to byte, dual char to byte + CR, dual char to byte + CRLF) 
		through spontaneous message configuration parameters.

	Version 2.38 - 09/10/18
	
		New features / Enhancements
		---------------------------
		Added a 100ms fixed 'filter' time between same spontaneous messages with
		spontaneous message mode set to every identified tag.
	
		Corrections
		-----------
		Fixed bug in inventory ISO 18000-6C tags command with antenna info
		activated.

	Version 2.37 - 17/09/18
	
		Corrections
		-----------
		Fixed bug in private internal memory management commands.

	Version 2.36 - 12/09/18
	
		New features / Enhancements
		---------------------------
		Added the AFI (Application Family Identifier) management. It must be 
		activated through the EPC C1G2 (Class-1 Generation-2) configuration.

	Version 2.35 - 31/07/18
	
		New features / Enhancements
		---------------------------
		Added the RSSI info in buffer data request (first seen, last seen),
		queue data request (first seen) and spontaneous message (first seen).
		It must be activated through the get RSSI info activation flag in
		RF configuration.
		
		Corrections
		-----------
		Moved the reset parameters to default configuration emergency procedure
		after the memory initialization and before all other initializations.
		
		Moved the communication interfaces initialization after all other
		initializations.		

	Version 2.32 - 08/06/18
	
		New features / Enhancements
		---------------------------
		Increased the RF input sensitivity to the maximum value during the RF
		antenna auto-tune.
		
		Added the RF antenna tuning configuration management.
		
		Added the Impinj Monza 4QT QT command management (read and write).
		
		Added the RFMicron Magnus S2 and S3 read sensor code command.
		
		Added the RFMicron Magnus S2 and S3 read on-chip RSSI command.
		
		Added the RFMicron Magnus S3 read temperature code command.
		
		Added the RF input sensitivity test command.
		
		Added the read RSSI command for RF field monitoring.
		
		Added the runtime error status check and signaling.
	
		Corrections
		-----------
		Fixed bug in firmware upgrade procedure.
		
		Fixed the startup RF antenna auto-tuning procedure and the RF antenna
		auto-tuning command.
		
		Fixed bug in internal error status management and access in multiple
		tasks.

	Version 2.31 - 02/10/17
	
		Corrections
		-----------
		Fixed bug in dual target search mode management.
		
		Fixed bug in runtime auto-tuning per RF channel per RF antenna.
		
		Fixed bug in RF minimum pause time management per RF channel per RF
		antenna.

	Version 2.29 - 12/07/17
	
		New features / Enhancements
		---------------------------	
		Added the XPC_W1 support.
		
		Increased the max ID (PC+EPC+CRC+ReadAfterDetect) to 82 bytes.
		
		Added the 640kHz link frequency with Miller-4 and Miller-8 modulation
		support T->R communication as defined in EPC Class-1 Generation-2
		standard specification.
		
		Forced the Dual Target A <-> B with session S0 and fast mode in
		inventory ISO 18000-6C command.
		
		Forced the Dual Target A <-> B with session S0 and standard mode in
		access ISO 18000-6C commands.
		
		Improved the read check after write feature in write ISO 18000-6C.
		
		Corrections
		-----------
		Fixed bug in serial data transmission.
		
		Fixed bug in communication management in spontaneous mode.
		
		Fixed tag timing management as defined in EPC Class-1 Generation-2 
		standard specification.
		
		Fixed internal settings as defined in EPC Class-1 Generation-2 
		standard specification.

		Fixed bug in checksum calculation in data request and inventory ISO
		18000-6C command replies.
		
		Fixed bug in tag RSSI calculation in inventory ISO 18000-6C command.
		
		Fixed tag management and system configuration as defined in EPC Class-1
		Generation-2 standard specification.

	Version 2.28 - 05/12/16
	
		New features / Enhancements
		---------------------------	
		Added the Search Mode selection (Dual Target A <-> B, Single Target A) 
		configurable through protocol commands in EPC C1G2 configuration
		to use in continuous mode.
		
		Corrections
		-----------
		Fixed internal bug with output 1 activation on tag presence.

	Version 2.27 - 24/11/16
	
		New features / Enhancements
		---------------------------	
		Added the RF chip standby mode configurable through protocol commands
		in RF UHF configuration management.
		
		Corrections
		-----------
		Fixed bug in continuous mode suspend/resume procedure (occurs during
		RF commands execution).
		
		Fixed bug in EPC Class-1 Generation-2 session paraneter change with
		command.	

	Version 2.26 - 11/11/16
	
		Corrections
		-----------
		Fixed bug in write ISO 18000-6C command (EPC Class-1 Generation-2).
		The reader stalls due to a tag error condition with tag present.

	Version 2.25 - 03/11/16
	
		Corrections
		-----------
		Fixed bug in auto-tuning settings storage and check in non volatile
		memory.

	Version 2.23 - 26/09/16
	
		New features / Enhancements
		---------------------------	
		Added the spontaneous message interface (only serial) configuration
		management.
		
		Added the RF power test to test the minimum power needed to read a tag
		in single tag mode.
		
		Added Q selection algorithm, Q initial, Q final, Q adjust rounds and
		inventory cycles parameters in EPC C1G2 configuration.
	
		Corrections
		-----------
		Fixed bug in tag's access operations with fast inventory mode selected.	
		
		Improvements in PA management.

	Version 2.22 - 03/06/16
	
		New features / Enhancements
		---------------------------	
		Added a multi inventory ISO 18000-6C command.
		
		Added the input debounce management.
		
		Added the output 1 activation time with automatic output 1 activation
		on tag present enabled.
	
		Corrections
		-----------
		Fixed bug in ReadAfterDetect management when reserved or user memory
		bank is selected and block length is set to zero.		
		
		Fixed bug in auto tuning command.

	Version 2.21 - 10/02/16
	
		New features / Enhancements
		---------------------------	
		Improved the watchdog usage.
	
		Corrections
		-----------
		Fixed bug in firmware upgrade procedure.

	Version 2.20 - 05/02/16
	
		New features / Enhancements
		---------------------------
		Added the tag's ID CRC-16 check to validate the just read tag's ID.	
	
		Corrections
		-----------
		Fixed bug in inventory/program/read/write/lock/kill ISO 18000-6C (EPC 
		Class-1 Generation-2) commands when a single RF channel is selected
		and only one antenna is activated.
		
		Fixed bug in inventory command in high noise environments.

	Version 2.19 - 07/10/15
	
		New features / Enhancements
		---------------------------
		Added the EPC C1G2 2 Configuration page in EEPROM with ReadAfterDetect
		configuration settings.

	Version 2.18 - 04/09/15
	
		Corrections
		-----------
		Fixed bug in serial communications.

	Version 1.17 - 02/07/15
	
		New features / Enhancements
		---------------------------
		Improved the read/write/lock/kill ISO 18000-6C tags operations.
		
		Added a read-after-write ISO 18000-6C tags in write ISO 18000-6C
		command.
		
		Added the RF 2 Configuration page in EEPROM with sensitivity parameter
		settable in the range -49 ... -85dBm.
		
		Added parameters redundancy in EEPROM (3 copies).
		
		Improved the watchdog usage.		
	
		Corrections
		-----------
		Fixed bug in serial communications with high baud rates.
		
		Fixed bug in tag's buffer management when the antenna info is on.
		
		Fixed bug in internal tag's identification procedure which prevents the
		tag identification in case of 1 tag in the read range in low noise
		environments.		

	Version 2.15 - 21/04/15
	
		Corrections
		-----------
		Fixed bug in UHF tag management with standard single and multi tag with
		TID info inventory modes.
		
		Fixed bug in antenna auto-tuning initialization procedure.
		
		Fixed bug in ISO 18000-6C inventory command with antenna info active.
		
		Fixed bug in internal tag's identification procedure.
		
		Fixed bug in serial communication.

	Version 2.07 - 13/04/15
	
		New features / Enhancements
		---------------------------
		Added the 57600bps and 115200bps baud rates support.
		
		Added the spontaneous mode configuration parameters and their
		management through read and write configuration commands. Now it is
		possible to have a spontaneous message for every identified tags.

	Version 2.06-patch.1 - 02/03/15
	
		Corrections
		-----------
		Patch to fix a bug in firmware upgrade from version 2.00 ... 2.03 to
		2.04 and later. In readers with firmware version up to 2.03 upgrade
		them with this patch and then apply the new firmware (from 2.04).

	Version 2.05 - 25/02/15
	
		New features / Enhancements
		---------------------------
		Added a command to program the EPC code of ISO 18000-6C tags instead of
		using the write or block write ISO 18000-6C command.
		
		Added the reading test mode on output 2 (a buzzer must be connected on
		this output) management and its flag in the reader status.
		
		Added the reader serial number management.
	
		Corrections
		-----------
		Fixed bug in continuous mode inventory procedure.

	Version 2.04 - 15/12/14
	
		New features / Enhancements
		---------------------------
		Improved the continuous search procedure.
		
		Extended the tag's buffer size to 200 elements.
	
		Corrections
		-----------
		Fixed some minor bugs.

	Version 2.03 - 21/11/14
	
		New features / Enhancements
		---------------------------
		Improved the continuous search procedure.	
	
		Corrections
		-----------
		Fixed bug to prevent crash in case there are no antennas enabled in RF
		Configuration page.
		
		Fixed bug in system initialization.

	Version 2.02 - 14/10/14
	
		Corrections
		-----------
		Fixed bug in firmware upgrade procedure.

	Version 2.01 - 06/10/14
	
		Corrections
		-----------
		Fixed bug in standard inventory + TID info inventory modes.
		
		Fixed bug in outputs management.

	Version 2.00 - 25/09/14

		Initial Release.

